### Property

# Gio UnixSocketAddress:address-type

since: 2.22

#### Declaration

    property address-type: Gio.UnixSocketAddressType [ read, write, construct-only ]

#### Description

The type of Unix socket address.

Type:`GUnixSocketAddressType`

Available since: 2.22

Default value | G_UNIX_SOCKET_ADDRESS_PATH
Getter method | `g_unix_socket_address_get_address_type()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes